Skip to main content

Atrium API

Read Member

Use this endpoint to read the attributes of a specific member.

GET
/users/{user_guid}/members/{member_guid}

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_15
{
_15
"member": {
_15
"aggregated_at": "2016-10-13T18:07:57+00:00",
_15
"connection_status": "CONNECTED",
_15
"guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_15
"identifier": "unique_id",
_15
"institution_code": "mxbank",
_15
"is_being_aggregated": false,
_15
"metadata": "{\"credentials_last_refreshed_at\": \"2015-10-15\"}",
_15
"name": "MX Bank",
_15
"status": "COMPLETED",
_15
"successfully_aggregated_at": "2016-10-13T17:57:38+00:00",
_15
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_15
}
_15
}